Epoch: 1

%define eclipse_base     %{_libdir}/eclipse
%define install_loc      %{_libdir}/eclipse/dropins
%define gcj_support         0

%define major     1
%define minor     4
%define maint     4

%define qualifier 2636

Summary:          Eclipse Python development plug-in
Name:             eclipse-pydev
Version:          %{major}.%{minor}.%{maint}
Release:          %mkrel 0.0.1
License:          Eclipse Public License
URL:              http://pydev.sourceforge.net/
Group:            Development/Python
Source0:          http://downloads.sourceforge.net/pydev/org.python.pydev.feature-%{major}.%{minor}.%{maint}.%{qualifier}-sources.zip
Source1:          org.python.pydev.mylyn.feature-fetched-src-pydev_1_3_7.tar.bz2
Source2:          fetch-pydev-mylyn.sh

# Back-port from HEAD
# http://pydev.cvs.sourceforge.net/pydev/org.python.pydev/src/org/python/copiedfromeclipsesrc/CopiedWorkbenchLabelProvider.java?revision=1.3&view=markup
#Patch0:           %{name}-%{version}-compileerrors.patch


%if %{gcj_support}
BuildRequires:    java-1.5.0-gcj-devel >= 1.5.0
%else
BuildRequires:    java-devel >= 1.5.0
%endif

Requires:         eclipse-jdt
Requires:         python
Requires:         commons-codec >= 1.3
Requires:         junit >= 3.8.1
Requires:         jython >= 2.2
Requires:         jakarta-commons-codec >= 1.3
Requires:         jakarta-commons-logging
Requires:         xmlrpc3-common
Requires:         xmlrpc3-client
Requires:         xmlrpc3-server
Requires:         junit >= 3.8.1
Requires:         jython >= 2.2
%ifarch %{ix86}
Requires:         python-psyco
%endif
BuildRequires:    zip
BuildRequires:    eclipse-pde
# no xmlrpc3 -> no mylyn on ppc64 due to:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=239123
%ifnarch ppc64
BuildRequires:    eclipse-mylyn
BuildRequires:    eclipse-mylyn-ide
%endif
BuildRequires:    commons-codec >= 1.3
BuildRequires:    eclipse-pde
BuildRequires:    eclipse-mylyn
BuildRequires:    jpackage-utils >= 0:1.5
BuildRequires:    junit >= 3.8.1
BuildRequires:    jakarta-commons-codec >= 1.3
BuildRequires:    jakarta-commons-logging
BuildRequires:    ws-commons-util
BuildRequires:    xmlrpc3-common
BuildRequires:    xmlrpc3-client
BuildRequires:    xmlrpc3-server
BuildRequires:    jython >= 2.2
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The eclipse-pydev package contains Eclipse plugins for
Python development.

%package  mylyn
Summary:  Pydev Mylyn Focused UI
Requires: eclipse-mylyn
Requires: %{name} = %{epoch}:%{version}-%{release}
Group: Development/Python

%description mylyn
Mylyn Task-Focused UI extensions for Pydev.

%prep
%setup -q -c

tar jxf %{SOURCE1}

# remove pre-generated build files
find . -name build.xml | xargs rm

# remove pre-built jars
rm -f plugins/org.python.pydev.core/core.jar
rm -f plugins/org.python.pydev.ast/ast.jar
rm -f plugins/org.python.pydev.debug/pydev-debug.jar
rm -f plugins/org.python.pydev.parser/parser.jar
rm -f plugins/org.python.pydev/pydev.jar
rm -f plugins/org.python.pydev.jython/pydev-jython.jar
rm -f plugins/org.python.pydev.refactoring/refactoring.jar

# remove included retroweaver jars as it isn't being used
find . -name retroweaver-rt.jar | xargs rm

# link to system jars
rm -f plugins/org.python.pydev.core/commons-codec.jar
ln -sf %{_javadir}/jakarta-commons-codec.jar \
       plugins/org.python.pydev.core/commons-codec.jar

rm -f plugins/org.python.pydev.core/lib/junit.jar
ln -sf %{_javadir}/junit.jar \
       plugins/org.python.pydev.core/junit.jar

rm -f plugins/org.python.pydev.jython/jython.jar
ln -sf %{_javadir}/jython.jar \
       plugins/org.python.pydev.jython/jython.jar

rm -f plugins/org.python.pydev.debug/commons-logging-1.1.jar
ln -sf %{_javadir}/jakarta-commons-logging.jar \
       plugins/org.python.pydev.debug/commons-logging-1.1.jar

rm -f plugins/org.python.pydev.debug/ws-commons-util-1.0.2.jar
ln -sf %{_javadir}/ws-commons-util.jar \
       plugins/org.python.pydev.debug/ws-commons-util-1.0.2.jar

rm -f plugins/org.python.pydev.debug/xmlrpc-client-3.1.jar
ln -sf %{_javadir}/xmlrpc3-client.jar \
       plugins/org.python.pydev.debug/xmlrpc-client-3.1.jar

rm -f plugins/org.python.pydev.debug/xmlrpc-common-3.1.jar
ln -sf %{_javadir}/xmlrpc3-common.jar \
       plugins/org.python.pydev.debug/xmlrpc-common-3.1.jar

rm -f plugins/org.python.pydev.debug/xmlrpc-server-3.1.jar
ln -sf %{_javadir}/xmlrpc3-server.jar \
       plugins/org.python.pydev.debug/xmlrpc-server-3.1.jar

rm -f plugins/org.python.pydev.refactoring/tests/lib/JFlex.jar

# enable when tests are used
#ln -sf %{_datadir}/java/jflex.jar \
#       plugins/org.python.pydev.refactoring/tests/lib/JFlex.jar

rm -f plugins/org.python.pydev.refactoring/tests/lib/xpp3_min-1.1.3.4.O.jar
# enable when tests are used
#ln -sf %{_datadir}/java/xpp3-minimal.jar \
#       plugins/org.python.pydev.refactoring/tests/lib/xpp3_min-1.1.3.4.O.jar

rm -f plugins/org.python.pydev.refactoring/tests/lib/xstream-1.2.1.jar
# enable when tests are used
#ln -sf %{_datadir}/java/xstream.jar \
#       plugins/org.python.pydev.refactoring/tests/lib/xstream-1.2.1.jar

rm -f plugins/org.python.pydev.refactoring/contrib/ch/hsr/ukistler/astgraph/jgraph.jar

%build
%{eclipse_base}/buildscripts/pdebuild \
  -f org.python.pydev.feature

%{eclipse_base}/buildscripts/pdebuild \
  -d mylyn \
  -f org.python.pydev.mylyn.feature

# no xmlrpc3 -> no mylyn on ppc64 due to:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=239123
%ifnarch ppc64
%{eclipse_base}/buildscripts/pdebuild \
  -d mylyn \
  -f org.python.pydev.mylyn.feature
%endif

%install
rm -rf $RPM_BUILD_ROOT
installDir=${RPM_BUILD_ROOT}/%{install_loc}/pydev
install -d -m755 $installDir
install -d -m755 ${installDir}-mylyn

# pydev main feature
unzip -q -d $installDir build/rpmBuild/org.python.pydev.feature.zip

# no xmlrpc3 -> no mylyn on ppc64 due to:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=239123
%ifnarch ppc64
# pydev mylyn feature
unzip -q -d ${installDir}-mylyn build/rpmBuild/org.python.pydev.mylyn.feature.zip
%endif

# deal with linked deps
pushd $installDir/eclipse/plugins
rm -rf org.python.pydev.core_%{version}.%{qualifier}/commons-codec.jar
ln -sf %{_javadir}/jakarta-commons-codec.jar \
       org.python.pydev.core_%{version}.%{qualifier}/commons-codec.jar

mkdir org.python.pydev.core_%{version}.%{qualifier}/lib
ln -sf %{_javadir}/junit.jar \
       org.python.pydev.core_%{version}.%{qualifier}/lib/junit.jar

rm -rf org.python.pydev.debug_%{version}.%{qualifier}/commons-logging-1.1.jar
ln -sf %{_javadir}/jakarta-commons-logging.jar \
       org.python.pydev.debug_%{version}.%{qualifier}/commons-logging-1.1.jar

rm -rf org.python.pydev.debug_%{version}.%{qualifier}/ws-commons-util-1.0.2.jar
ln -sf %{_javadir}/ws-commons-util.jar \
       org.python.pydev.debug_%{version}.%{qualifier}/ws-commons-util-1.0.2.jar

rm -f org.python.pydev.debug_%{version}.%{qualifier}/xmlrpc-client-3.1.jar
ln -sf %{_javadir}/xmlrpc3-client.jar \
       org.python.pydev.debug_%{version}.%{qualifier}/xmlrpc-client-3.1.jar

rm -f org.python.pydev.debug_%{version}.%{qualifier}/xmlrpc-common-3.1.jar
ln -sf %{_javadir}/xmlrpc3-common.jar \
       org.python.pydev.debug_%{version}.%{qualifier}/xmlrpc-common-3.1.jar

rm -f org.python.pydev.debug_%{version}.%{qualifier}/xmlrpc-server-3.1.jar
ln -sf %{_javadir}/xmlrpc3-server.jar \
       org.python.pydev.debug_%{version}.%{qualifier}/xmlrpc-server-3.1.jar

rm -rf org.python.pydev.jython_%{version}.%{qualifier}/jython.jar
ln -sf %{_javadir}/jython.jar \
       org.python.pydev.jython_%{version}.%{qualifier}/jython.jar
popd

# rename cgi.py's shebang from /usr/local/bin/python to /usr/bin/env python
sed -i 's/\/usr\/local\/bin\/python/\/usr\/bin\/env python/' ${RPM_BUILD_ROOT}%{install_loc}/pydev/eclipse/plugins/org.python.pydev.jython_%{version}.%{qualifier}/Lib/cgi.py
# convert .py$ files from mode 0644 to mode 0755
chmod 0755 `find ${RPM_BUILD_ROOT} -name '*\.py' -perm 0644 | xargs`

# convert '\r\n' end-of-lines to *unix-like '\n'
# sed -i 's/\r//' `find ${RPM_BUILD_ROOT} -name '*\.py' | xargs`

%{gcj_compile}

%clean
rm -rf ${RPM_BUILD_ROOT}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root,-)
%{install_loc}/pydev
# no xmlrpc3 -> no mylyn on ppc64 due to:
# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=239123

%files mylyn
%{install_loc}/pydev-mylyn

%{gcj_files}


%changelog
* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 1:1.4.4-0.0.1mdv2009.1
+ Revision: 345413
- New upstream release

* Mon Jan 19 2009 Jérôme Soyer <saispo@mandriva.org> 1:1.4.2-0.0.1mdv2009.1
+ Revision: 331189
- New upstream release

* Mon Jan 05 2009 Jérôme Soyer <saispo@mandriva.org> 1:1.4.0-0.0.1mdv2009.1
+ Revision: 324998
- Fix RPM Groups
- New upstream release

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 1:1.3.24-0.0.1mdv2009.1
+ Revision: 324381
- New upstream release

* Sat Aug 30 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.20-0.0.1mdv2009.0
+ Revision: 277539
- new version 1.3.20

* Mon Aug 11 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.19-0.1.1mdv2009.0
+ Revision: 270821
- new version 1.3.19

* Mon Aug 11 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.18-0.1.1mdv2009.0
+ Revision: 270806
- move to dropins and add some compile fixes

* Fri Jul 04 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.18-0.0.2mdv2009.0
+ Revision: 231706
- symlink to system xmlrpc, ws-commons-util and commons-logging

* Fri Jun 20 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.18-0.0.1mdv2009.0
+ Revision: 227362
- new version 1.3.18, disable gcj compile

* Wed May 14 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.17-0.0.2mdv2009.0
+ Revision: 207104
- move to Development/Python group

* Mon May 12 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.17-0.0.1mdv2009.0
+ Revision: 206273
- new version

* Wed May 07 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.16-0.0.1mdv2009.0
+ Revision: 202932
- new version

* Tue Apr 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.15-0.0.1mdv2009.0
+ Revision: 196671
- new version

* Thu Mar 06 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.14-0.0.1mdv2008.1
+ Revision: 180937
- new version

* Mon Feb 04 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.13-0.0.1mdv2008.1
+ Revision: 162519
- new version

* Tue Jan 29 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.12-0.0.1mdv2008.1
+ Revision: 159732
- new version

* Sat Jan 19 2008 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.11-0.0.1mdv2008.1
+ Revision: 155097
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 1:1.3.10-0.0.2mdv2008.1
+ Revision: 120873
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Dec 08 2007 Alexander Kurtakov <akurtakov@mandriva.org> 1:1.3.10-0.0.1mdv2008.1
+ Revision: 116425
- add zip BR
- new version - 1.3.10

* Fri Oct 19 2007 David Walluck <walluck@mandriva.org> 1:1.3.9-0.1.1mdv2008.1
+ Revision: 100091
- fix missing mylyn feature
- 1.3.9

  + Anssi Hannula <anssi@mandriva.org>
    - remove unnecessary Requires(post) on java-gcj-compat

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 1:1.3.8-0.1.3mdv2008.0
+ Revision: 87367
- rebuild to filter out autorequires of GCJ AOT objects

* Mon Aug 27 2007 David Walluck <walluck@mandriva.org> 1:1.3.8-0.1.2mdv2008.0
+ Revision: 71717
- some minor fixes
- forgot to remove the changelog

* Sun Aug 26 2007 David Walluck <walluck@mandriva.org> 1:1.3.8-0.1.1mdv2008.0
+ Revision: 71704
- 1.3.8
- 1.3.1 (currently does not build)


* Mon Mar 12 2007 David Walluck <walluck@mandriva.org> 0:1.2.5-1.2mdv2007.1
+ Revision: 141499
- Requires: bicyclerepair
- 1.2.5
- Import eclipse-pydev

* Mon Jul 10 2006 David Walluck <walluck@mandriva.org> 0:0.9.3-8mdv2007.0
- rebuild for new eclipse

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:0.9.3-7mdv2007.0
- rebuild for libgcj.so.7

* Sat Mar 25 2006 David Walluck <walluck@mandriva.org> 0:0.9.3-6mdk
- rebuild

* Mon Feb 13 2006 David Walluck <walluck@mandriva.org> 0:0.9.3-5mdk
- fix build with latest eclipse

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:0.9.3-4mdk
- fix build

* Wed Nov 02 2005 David Walluck <walluck@mandriva.org> 0:0.9.3-3mdk
- fix BuildRequires

* Sun Sep 11 2005 David Walluck <walluck@mandriva.org> 0:0.9.3-2mdk
- bzip2 source

* Sat Sep 03 2005 David Walluck <walluck@mandriva.org> 0:0.9.3-1mdk
- release

* Wed Aug 03 2005 Jeff Pound <jpound@redhat.com> 0.9.3_fc-11
- Add patch to make python 2.4 default (bz#164847).

* Sat Jul 16 2005 Andrew Overholt <overholt@redhat.com> 0.9.3_fc-10
- Use gbenson's new aot-compile-rpm.

* Sat Jul 09 2005 Jeff Pound <jpound@redhat.com> 0.9.3_fc-9
- Fix eclipse build specification to be arch independant.
- Fix build.properties javacDebugInfo flag (Robin Green bz#161534)
- Add -g compile option (Robin Green bz#161534)

* Wed Jul 06 2005 Jeff Pound <jpound@redhat.com> 0.9.3_fc-8
- Apply Robin Greens patch to explicitly specify archive format (bz#162517)
- Fix spec file description.

* Wed Apr 27 2005 Andrew Overholt <overholt@redhat.com> 0.9.3_fc-7
- Re-organize and make use of scripts.
- Remove old tarball from sources.

* Wed Apr 27 2005 Jeff Pound <jpound@redhat.com> 0.9.3_fc-6
- Swap zip logic for tarball logic.
- Upgrade to 0.9.3.
- Remove 3.1 compat patch (included in 0.9.3).

* Fri Mar 04 2005 Phil Muldoon <pmuldoon@redhat.com> 0.9.0-4_fc
- Added x86_64 to ExclusiveArch

* Thu Mar 03 2005 Jeffrey Pound <jpound@redhat.com> 0.9.0-3_fc
- Rewrite for native build.
- Change gcc4 to gcc.
- Add python as requirement.
- Remove -g option for gcj.

* Tue Feb 08 2005 Jeff Pound <jpound@redhat.com> 0.9.0-1_fc
- Initial version

